﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CustomXamGrid
{
    public partial class MainPage : UserControl, INotifyPropertyChanged
    {
        private Double _taillePolice;

        public Double TaillePolice
        {
            get { return _taillePolice; }
            set
            {
                _taillePolice = value;
                this.NotifyPropertyChanged("TaillePolice");
            }
        }
        
        public MainPage()
        {
            this.DataContext = this;
            this.TaillePolice = 12;
            //Theme.SetApplicationThemeUri(Application.Current, new Uri("http://vm-stones-test:1234/RessourceXamGrid.xaml", UriKind.Absolute));
            InitializeComponent();

            var listeCategorie = new ObservableCollection<Categorie>{new Categorie
                                                                         {
                                                                             Libelle = "Logiciels",
                                                                             Raccourcis = new ObservableCollection<Raccourci>{new Raccourci{Libelle = "Word",Chemin = "par la"}}
                                                                         },
            new Categorie
                                                                         {
                                                                             Libelle = "Dossier",
                                                                             Raccourcis = new ObservableCollection<Raccourci>{new Raccourci{Libelle = "Images",Chemin = "par ici"}}
                                                                         },new Categorie
                                                                         {
                                                                             Libelle = "Liens externes",
                                                                             Raccourcis = new ObservableCollection<Raccourci>{new Raccourci{Libelle = "L'équipe",Chemin = "par lou"}}
                                                                         }};

            this.xamGridFlux.ItemsSource = listeCategorie;
            this.xamGridFlux2.ItemsSource = listeCategorie;
        }

        /// <summary>
        /// // Permet d'informer d'un changement sur une des propriétés
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;
        /// <summary>
        /// // Permet d'informer d'un changement sur une des propriétés
        /// </summary>
        /// <param name="propertyName"></param>
        public void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.TaillePolice = this.TaillePolice + 1;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.TaillePolice = this.TaillePolice - 1;

        }
    }

    public class Categorie
    {
        public string Libelle { get; set; }
        public ObservableCollection<Raccourci> Raccourcis { get; set; } 
    }

    public class Raccourci
    {
        public string Libelle { get; set; }
        public string Chemin { get; set; }
    }
}
